<resources>
    <!-- Base application theme. -->
    <style name="ThemeCalc" parent="Theme.MaterialComponents.DayNight.DarkActionBar">
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
    </style>

    <style name="BaseCalcButtonStyle">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:layout_marginStart">4dp</item>
        <item name="android:layout_marginEnd">4dp</item>
        <item name="android:layout_marginBottom">4dp</item>
        <item name="backgroundTint">@color/baseCalcBackground</item>
        <item name="android:padding">4dp</item>
        <item name="android:textColor">@android:color/black</item>
    </style>

    <style name="ExtCalcButtonStyle">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:layout_marginStart">4dp</item>
        <item name="android:layout_marginEnd">4dp</item>
        <item name="android:layout_marginBottom">4dp</item>
        <item name="backgroundTint">@color/extCalcBackground</item>
        <item name="android:padding">4dp</item>
        <item name="android:textColor">@android:color/white</item>
    </style>

    <style name="RedCalcButtonStyle">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:layout_marginStart">4dp</item>
        <item name="android:layout_marginEnd">4dp</item>
        <item name="android:layout_marginBottom">4dp</item>
        <item name="backgroundTint">@color/redCalcBackground</item>
        <item name="android:padding">4dp</item>
        <item name="android:textColor">@android:color/white</item>
    </style>
</resources>